// DialogInfo.cpp : 实现文件
//

#include "stdafx.h"
#include "Verbpo.h"
#include "DialogInfo.h"
#include "afxdialogex.h"


// CDialogInfo 对话框

IMPLEMENT_DYNAMIC(CDialogInfo, CDialogEx)

CDialogInfo::CDialogInfo(CWnd* pParent /*=NULL*/)
	: CDialogEx(CDialogInfo::IDD, pParent)
{

}

CDialogInfo::~CDialogInfo()
{
}

void CDialogInfo::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_STATIC_INFO_S_VERSION, m_CStaticSVersion);
	DDX_Control(pDX, IDC_STATIC_INFO_S_COMPLIE_TIME, m_CStaticSCompile);
	DDX_Control(pDX, IDC_STATIC_F_VERSION, m_CStaticFVersion);
	DDX_Control(pDX, IDC_STATIC_F_COMPLIE_TIME, m_CStaticFCompile);
}

BOOL CDialogInfo::OnInitDialog()
{
	CString a_cs;
	CDialogEx::OnInitDialog();
	font.CreateFont(18,                                          //   nHeight     
		0,                                                   //   nWidth     
		0,                                                   //   nEscapement   
		0,                                                   //   nOrientation     
		FW_NORMAL,                                   //   nWeight     
		TRUE,                                           //   bItalic     
		FALSE,                                           //   bUnderline     
		0,                                                   //   cStrikeOut     
		ANSI_CHARSET,                             //   nCharSet     
		OUT_DEFAULT_PRECIS,                 //   nOutPrecision     
		CLIP_DEFAULT_PRECIS,               //   nClipPrecision     
		DEFAULT_QUALITY,                       //   nQuality     
		DEFAULT_PITCH | FF_SWISS,     //   nPitchAndFamily       
		_T("宋体"));

	
	m_CStaticSVersion.SetFont(&font);
	m_CStaticSCompile.SetFont(&font);
	m_CStaticFVersion.SetFont(&font);
	m_CStaticFCompile.SetFont(&font);

	m_CStaticSVersion.SetWindowTextW(theApp.m_csVersion);
	m_CStaticSCompile.SetWindowTextW(theApp.m_csCompile);
	

	return TRUE;  // return TRUE unless you set the focus to a control
	// 异常:  OCX 属性页应返回 FALSE

}

BEGIN_MESSAGE_MAP(CDialogInfo, CDialogEx)
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDOK, &CDialogInfo::OnBnClickedOk)
END_MESSAGE_MAP()


// CDialogInfo 消息处理程序


void CDialogInfo::OnDestroy()
{
	CDialogEx::OnDestroy();

	// TODO:  在此处添加消息处理程序代码
	font.DeleteObject();
}


void CDialogInfo::OnBnClickedOk()
{
	// TODO:  在此添加控件通知处理程序代码
	CDialogEx::OnOK();
}
